v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/shipments/cancel
Cancels shipments in the system. Rights: OrsSupplyManagerPost, OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Root Schema : Cancel Shipment Request
Type:
objectTitle:
Cancel Shipment RequestRequest object containing canceled shipment details.
Show Source
-
shipmentIds(required): array
shipmentIds
Minimum Number of Items:
1Maximum Number of Items:2147483647Contains shipment IDs. -
toInventoryStatus: integer
(int32)
Allowed Values:
[ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20 ]Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).Example:5
Nested Schema : shipmentIds
Type:
arrayMinimum Number of Items:
1Maximum Number of Items:
2147483647Contains shipment IDs.
Show Source
Example:
[
"E39FF55A445543A38D513325664F0B2D",
"8ECE2C9D389645B09740DC7926DEFB69"
]Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
400 Response
'Invalid order status', 'Invalid shipment type' or 'Invalid inventory status'
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples
404 Response
'Invalid study ID', 'Study still in design phase' or 'Invalid shipment ID'
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples
500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples